<template>
  <div class="header" :style="{height:screenHeight+'px'}" >
      <div class="box" :style="{height:screenHeight+'px'}">
           <div class="left" v-for="(item,index) in menu" :key="index" @click="choose(item)">
          {{item}}  
      </div>
      </div>
      <div class="right" :style="{height:screenHeight+'px'}" @click="right">
      </div>
  </div>
  
</template>

<script type="text/ecmascript-6">

  import config from '@/config'
  export default {
    data(){
      return{
        list:[],
        text:false,
        screenHeight:''
      }
    },

    props:{
        menu:{
        default(){
          return{
          }
        }
      }
      
    },
    methods:{
        right(){
             this.$emit('closemenu','close');
        },
        choose(data){
            console.log('1',data);
            if(data === '个人主页'){
                this.text = !this.text;
                console.log('个人主页跳转');
                wx.reLaunch({
                        url: '/pages/mainPage/home/main?page=home'
                    })
                // config.href(config.mainPage.home);
            }
             if(data === '积分商城'){
                console.log('积分商城跳转');
                wx.reLaunch({
                        url: '/pages/shop/home/main?page=home'
                })
                // config.href(config.shop.home);
            }
            if(data === '我的信息'){
                console.log('我的信息跳转');
                wx.reLaunch({
                        url: '/pages/mainPage/info/main?page=home'
                })
                // config.href(config.mainPage.info +'?data=home');
            }
            if(data === '我的权益'){
                this.text = !this.text;
                console.log('我的权益跳转');
                wx.reLaunch({
                        url: '/pages/mainPage/myright/main?page=home'
                })
                // config.href(config.mainPage.myright);
            }
             if(data === '我的礼券'){
                console.log('我的礼券跳转');
                // config.href(config.mycard.card);
                wx.reLaunch({
                        url: '/pages/mycard/card/main?page=home'
                })
            }
            if(data === '我的活动'){
                console.log('我的活动跳转');
                wx.reLaunch({
                        url: '/pages/activity/list/main?page=home'
                })
                // config.href(config.activity.list);
            }
            if(data === '我的地址'){
                console.log('我的地址跳转');
                wx.reLaunch({
                        url: '/pages/address/addlist/main?page=home'
                })
                // config.href(config.address.addlist);
               
            }
            if(data === '查找店铺'){
                console.log('我的礼券跳转');
                config.href(config.other.searchstore);
            }
            if(data === '在线购买'){
                console.log('在线购买跳转');
                // config.href(config.mainPage.info);
            }
            if(data === '退出账号'){
                console.log('退出账号跳转');
                 wx.showModal({
                    title: '',
                    content: '确认退出账号？',
                    success (res) {
                        if (res.confirm) {
                        console.log('用户点击确定')
                        wx.setStorageSync('memberid','');
                 wx.setStorageSync('phonewx23bcedfe9e867c13','');
                         wx.reLaunch({
                        url: '/pages/mainPage/first/main?page=home'
                    })

                        } else if (res.cancel) {
                        console.log('用户点击取消')
                        }
                    }
                    })

                
                
            }


        },
      
    },
    onLoad(data){
        let that = this;
        console.log('menu',that.menu);
        wx.getSystemInfo({
        success: function(res) {
          console.log(res);
          that.screenHeight = res.windowHeight;
        } })
    }

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.header{
    overflow: hidden;
    position: fixed;
    top: 0;
    width:7.5rem;
    z-index: 1001;
     .box{
          width: 4.24rem;
          z-index: 10000;
          background: #fff;
          opacity: 1;
          padding-top: 0.88rem;
         .left{
            text-align: center;
            height: 0.8rem;
            line-height: 0.8rem;
            color: #727171;
            font-size: 0.28rem;
    }

     }
    
    .right{
       width: 3.26rem;
       position: absolute;
       top: 0;
       right: 0;
       background: #000;
       opacity: 0.5;

       
    }
    

}
  
</style>
